Get growth margin by ID

Applies To

  • Partner Center

Appropriate roles

  • Admin agent

Important

The growth margins API is currently available in the Sandbox environment only and is not yet available in production.

Partners can get a single growth margin for a given growth margin ID and country/region. This method returns the growth margin data, ignoring the growth margin start and end dates. This method is used primarily for reconciliation purposes to retrieve growth margin details even after the growth margin expired.

Prerequisites

  • Credentials as described in Partner Center authentication. This scenario supports authentication with both standalone App and App+User credentials.

  • Growth margin ID is a delimited set of strings that represent a specific growth margin.

  • Country represents the customer country/region growth margins are available for. Country is represented by a two character country code.

REST request

Request syntax

Method Request URI
GET {baseURL}/v1/catalog/benefits/{growth-margin-id}?country={country-code} HTTP/1.1

URI parameter

Use the following query parameters to return a specific growth margin.

Name Type Required Description
growth-margin-id string Y A string defining the growth margin to retrieve.
country string Y A two letter country code determining which customer country/region growth margins are available for.

Request headers

For more information, see Partner Center REST headers.

Request body

None

Request example

GET https://api.partnercenter.microsoft.com/v1/catalog/benefits/39NFJQT10HW7:0002:084R5MQ9QF27?country=US HTTP/1.1
Authorization: Bearer <token>
Accept: application/json
MS-RequestId: 18752a69-1aa1-4ef7-8f9d-eb3681b2d70a
MS-CorrelationId: aaaa0000-bb11-2222-33cc-444444dddddd
X-Locale: en-US

REST response

If successful, this method returns a single growth margin.

Response success and error codes

Each response comes with an HTTP status code that indicates success or failure and more debugging information. Use a network trace tool to read this code, error type, and other parameters. For the full list, see Error Codes.

Response example

HTTP/1.1 200 OK
Content-Length: 138
Content-Type: application/json
MS-CorrelationId: aaaa0000-bb11-2222-33cc-444444dddddd
MS-RequestId: 18752a69-1aa1-4ef7-8f9d-eb3681b2d70a
Date: Fri, 27 Jun 2026 20:42:26 GMT


{
    "id": "39NFJQT10HW7:0002:084R5MQ9QF27",
    "productCodes": [
        {
            "productCode": "00093c3a-0000-0280-f57d-f85412b6826d"
        }
    ],
    "name": "CSP Growth Margin Discount",
    "description": "CSP Growth Margin Discount",
    "requiredProducts": [
        {
            "productId": "CFQ7TTC0ZSXK",
            "skuId": "0002",
            "termDuration": "P1Y",
            "billingCycle": "Monthly"
        }
    ],
    "productPolicy": {
        "pricingPolicies": [
            {
                "policyId": "PricingPolicyId:1w11wcikt5po",
                "policyData": {
                    "benefits": [
                        {
                            "type": "PercentDiscount",
                            "value": 0.185
                        }
                    ]
                }
            }
        ],
        "offerPolicies": [
            {
                "policyId": "OfferPolicyId:qossxtmg4hky",
                "policyData": {
                    "beneficiary": "Partner",
                    "properties": {
                        "startDate": "2026-05-12T14:20:05Z",
                        "endDate": "2026-08-12T14:20:11Z"
                    },
                    "isOptional": false
                }
            }
        ],
        "eligibilityPolicies": [
            {
                "policyId": "EligibilityPolicyId:ewgn4xy9whko",
                "policyData": {
                    "eligibility": {
                        "constraintsData": {
                            "seatConstraints": [
                                {
                                    "minSeats": 0,
                                    "maxSeats": 0,
                                    "seatIncreaseMultiplier": 0,
                                    "type": "SeatGrowthMultiplier"
                                }
                            ],
                            "assetOwnershipLimits": [],
                            "eligibilityConstraints": [],
                            "productOwnershipConstraints": [
                                []
                            ],
                            "purchaseRequirementConstraints": [],
                            "prerequisiteConstraints": {
                                "MustHaveAll": null,
                                "MustHaveAny": null,
                                "MustHaveNone": {
                                    "Products": [
                                        {
                                            "BigId": "CFQ7TTC10849/0002",
                                            "MinSeats": null,
                                            "MaxSeats": 5
                                        }
                                    ],
                                    "SeatConstraint": {
                                        "MinSeats": null,
                                        "MaxSeats": null,
                                        "Type": "BaseCumulativeQuantity"
                                    },
                                    "LookbackWindow": {
                                        "Type": "Period",
                                        "Period": "P1Y"
                                    }
                                }
                            }
                        }
                    }
                }
            }
        ]
    }
}